- Qt 6.11
- Qt Core
- C++ Classes
- QXmlStreamEntityResolver
- Qt 6.11.1 Reference Documentation

# QXmlStreamEntityResolver Class

The QXmlStreamEntityResolver class provides an entity resolver for a QXmlStreamReader. More...

Header: | `#include <QXmlStreamEntityResolver>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Core)` `target_link_libraries(mytarget PRIVATE Qt6::Core)`
qmake: | `QT += core`

- List of all members, including inherited members
- QXmlStreamEntityResolver is part of XML Classes.

Note: All functions in this class are reentrant.

## Public Functions

virtual | ~QXmlStreamEntityResolver()
virtual QString | resolveUndeclaredEntity(const QString &name)

## Detailed Description

## Member Function Documentation

### `[virtual noexcept]` QXmlStreamEntityResolver::~QXmlStreamEntityResolver()

Destroys the entity resolver.

### `[virtual]` QString QXmlStreamEntityResolver::resolveUndeclaredEntity(const QString &name)

Resolves the undeclared entity name and returns its replacement text. If the entity is also unknown to the entity resolver, it returns an empty string.

The default implementation always returns an empty string.